Create a new property value for a given SKU
curl --request POST \
--url https://api.bold-factory.com/v1/items/skus/{skuReference}/values \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"propertyReference": "<string>",
"value": "<string>"
}
'import requests
url = "https://api.bold-factory.com/v1/items/skus/{skuReference}/values"
payload = {
"propertyReference": "<string>",
"value": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({propertyReference: '<string>', value: '<string>'})
};
fetch('https://api.bold-factory.com/v1/items/skus/{skuReference}/values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"skuId": "<string>",
"sku": {
"id": "<string>",
"externalReference": "<string>",
"code": "<string>",
"name": "<string>",
"description": "<string>",
"validationErrors": "<string>",
"productId": "<string>",
"imageFileId": "<string>",
"image": {
"id": "<string>",
"readOnlyUri": "<string>"
},
"product": {
"id": "<string>",
"externalReference": "<string>",
"code": "<string>",
"name": "<string>",
"description": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"deletedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>",
"unit": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"propertyId": "<string>",
"property": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"value": "<string>",
"isMandatory": true,
"enumValue": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"propertyId": "<string>",
"property": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
}
}
}{
"type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
"title": "Filter parsing failed",
"status": 400,
"detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
"instance": "POST /v1/items/products/search",
"code": "FILTER_PARSING_FAILED"
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Products.Read",
"instance": "GET /v1/maintenance/assets",
"code": "MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/ENTITY_NOT_FOUND",
"title": "The entity was not found.",
"status": 404,
"detail": "Entity Product (pr_72f13bd8218h9823dfj9) was not found.",
"instance": "DELETE /v1/items/products/pr_72f13bd8218h9823dfj9",
"code": "ENTITY_NOT_FOUND"
}{
"type": "https://api.bold-factory.com/errors/CANNOT_MODIFY_CANCELLED_LINE",
"title": "Cannot modify cancelled line",
"status": 422,
"detail": "A cancelled line can't be modified.",
"instance": "PUT /v1/planning/purchaseOrders/po_sd786f78s78hgf8hg/lines/pol_n7893ytw3et7w4wfo5rf",
"code": "CANNOT_MODIFY_CANCELLED_LINE"
}SKUs
Create a new property value for a given SKU
Your value must correspond to the property data type.
If the type is Decimal, please use point as decimal separator and comma or nothing as group separator.
If the type is Integer, please use comma or nothing as group separator.
If the type is DateTime, please use YYYY-MM-dd hh:mm:ss zzz as format, where zzz is the offset with UTC.
If the type is Boolean, please send true or false.
If the type is Enum, please send a valid option reference.
Requires Items.Skus.Write permissions
POST
/
v1
/
items
/
skus
/
{skuReference}
/
values
Create a new property value for a given SKU
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Parámetros de ruta
Respuesta
Created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Opciones disponibles:
Decimal, Text, Boolean, Enum, Integer, DateTime Show child attributes
Show child attributes
⌘I